import request from '@/router/axios';

export const dictionary = () => {
    return request({
        url: '/api/blade-system/dict/dictionary?code=sys_text_type',
        method: 'get',
    })
}

// 设置文本类型
export const saveInput = (data) => {
    return request({
        url: '/api/blade-manager/textdictinfo/saveTextInfo',
        method: 'post',
        data
    })
}

// 获取字段信息
export const getColByTabId = (params) => {
    return request({
        url: '/api/blade-manager/exctabcell/getColByTabId',
        method: 'get',
        params
    })
}


  // 电签 -- 获取角色类型
  export const getRoleType = (params) => {
    return request({
      url: '/api/blade-system/role/getRoleTypeInfo',
      method: 'get',
      params
    })
  }

// 电签 -- 获取角色类型
export const getRoleInfoByParentId = (params) => {
  return request({
    url: '/api/blade-system/role/getRoleInfoByParentId',
    method: 'get',
    params
  })
}


// 设置文本类型
export const saveSig = (data) => {
  return request({
    url: '/api/blade-manager/textdictinfo/save_sigInfo',
    method: 'post',
    data
  })
}

// 设置文本类型
export const getSigList = (params) => {
  return request({
    url: '/api/blade-manager/textdictinfo/page',
    method: 'get',
    params
  })
}



// 保存默认值
export const saveDdefual = (data) => {
  return request({
    url: '/api/blade-manager/textdictinfo/save_defaulVal',
    method: 'post',
    data
  })
}

// 删除信息
export const remove = (ids,tabId,type,colKey) => {
  return request({
    url: '/api/blade-manager/textdictinfo/remove',
    method: 'post',
    params: {
      ids,
      tabId,
      type,
      colKey
    }
  })
}
//获取电签信息

export const getSignDetail = (params) => {
  return request({
    url: '/api/blade-manager/textdictinfo/getTedtdictInfoById',
    method: 'get',
    params
  })
}
//修改电签信息/blade-manager/textdictinfo/update
export const updateDetail = (data) => {
  return request({
    url: '/api/blade-manager/textdictinfo/update',
    method: 'post',
    data
  })
}


